/*****************************************************************************/
/*                                                                           */
/* Version:  2.3 3 3    Date:  19/02/2004   File: test_sol.h                     */
/* Author:  Marco Chiarandini                                                */
/* email: machud@intellektik.informatik.tu-darmstadt.de                      */
/*                                                                           */
/*****************************************************************************/

#define TRUE 1
#define FALSE 0


extern  long int TOT_WEIGHT;
extern  int not_complete;
extern  int SIZE;



extern long int **adjacency_matrix;
extern long int *weight;
extern int *solution;


extern const char *instance_name;
extern const char *solution_name;
extern int problem;

void usage();
void checkOptions(const char *const program_name, const int argc, char **const argv);
int parse_options (const char *const program_name, const int argc, char **const argv);

void read_dimacs();
char checkSolution();
void readSolution();

